package it.unimi.dsi.mg4j.index;

/*		 
 * MG4J: Managing Gigabytes for Java
 *
 * Copyright (C) 2003, 2004 Paolo Boldi and Sebastiano Vigna 
 *
 *  This library is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as published by the Free
 *  Software Foundation; either version 2.1 of the License, or (at your option)
 *  any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


/** This class provides symbolic names for properties of a {@link SkipIndex}.
 *
 * @see SkipIndexWriter
 * @see SkipIndexReader
 * @see SkipIndex
 *
 * @author Paolo Boldi 
 * @since 0.6
 */


public class SkipIndexProperties extends IndexProperties {
	
	protected SkipIndexProperties() {}
	
	/** The skip quantum. */
	public static final String SKIPQUANTUM = "skipquantum";			
	/** The skip height. */
	public static final String SKIPHEIGHT = "skipheight";			
}

// Local Variables:
// mode: jde
// tab-width: 4
// End:

